# updateFlowFrom

Update a flow on behalf of a certain sender account using [ACL permissions](/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl.md)

#### Function Header

```solidity
/**
 * @dev Updates flow as an operator without userData
 * @param token The token to flow
 * @param sender The sender of the flow
 * @param receiver The receiver of the flow
 * @param flowRate The desired flowRate
 */
function updateFlowFrom(
    ISuperToken token,
    address sender,
    address receiver,
    int96 flowRate
) internal returns (bool)
```

#### Example Usage

{% embed url="<https://github.com/superfluid-finance/super-examples/blob/0b90a34602dc9cab4a10ac59aefebef1bf5384cd/projects/money-streaming-intro/money-streaming-intro-hardhat/contracts/MoneyRouter.sol#L87>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/updateflowfrom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
